Documentation Index
Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
The “List Shipping Carrier” API allows to retrieve a list of shipping carrier.
GET https://services.leadconnectorhq.com/store/shipping-carrier
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.
Query parameters
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Respuestas
200 - Successful response
status
boolean
default:"True"
required
Status of api action
message
string
default:"Successfully created"
Success message
An array of items
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Posibles valores: ‘account’
name
string
default:"FedEx"
required
Name of the shipping carrier
callbackUrl
string
default:"https://example.com/get-shipping-rates"
required
The URL endpoint that GHL needs to retrieve shipping rates. This must be a public URL.
An array of available shipping carrier services
name
string
default:"Priority Mail Express International"
required
Name of the shipping carrier service
value
string
default:"PriorityMailExpressInternational"
required
Value of the shipping carrier service
allowsMultipleServiceSelection
The seller can choose multiple services while creating shipping rates if this is true.
_id
string
default:"655b33a82209e60b6adb87a5"
required
The unique identifier for the product.
marketplaceAppId
string
default:"655b33a82209e60b6adb87a5"
required
The unique identifier for the marketplace app.
createdAt
string
default:"2023-12-12T09:27:42.355Z"
required
created at
updatedAt
string
default:"2023-12-12T09:27:42.355Z"
required
updated at
{
"status": true,
"message": "Successfully created",
"data": [
{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"services": [
{}
],
"allowsMultipleServiceSelection": true,
"_id": "655b33a82209e60b6adb87a5",
"marketplaceAppId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z"
}
]
}
422 - Unprocessable Entity
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/store/shipping-carrier' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'